python:pywintypes.com_error: (-2147352567, '发生意外。', (0, Microsoft Excel', '类Range 的CopyPicture方法无效', 'xlmain11.chm', 0, -21468272849), None)

pywintypes.com_error: (-2147352567, '发生意外。', (0, Microsoft Excel', '类Range的CopyPicture方法无效', 'xlmain11.chm', 0, -21468272849), None)
请问出现这类问题的原因是什么?

1个回答

u012286770
SUN小圣 应该不是吧?
4 个月之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
pywintypes.com_error: (-2147352567, '发生意外。', (0, None, None, None, 0, -2147352565), None)

``` import os import xlwings as xw files_path = r'C:/Users/Peter Pro/Desktop/zh' app = xw.App(visible=True, add_book=False) app.display_alerts = False app.screen_updating = False A=['D14','E14','F14','G14','H14','I14','J14','K14','L14','M14'] B=['D15','E15','F15','G15','H15','I15','J15','K15','L15','M15'] C=['D13','E13','F13','G13','H13','I13','J13','K13','L13','M13'] D=['C15','D15','E15','F15','G15','H15','I15','J15','K15','L15'] for files_path_0, dirs, files in os.walk(files_path): for file in files: wb = app.books.open(files_path+'/'+file) sht = wb.sheets['测算表'] for i in range(9): sht.range(A[i]).formula = '='+C[i]+'/1.01' sht.range(B[i]).formula = '=IF('+A[i]+'<=100000,'+A[i]+'*1.01,IF('+A[i]+'>100000,'+A[i]+'))+'+D[i] wb.save() wb.close() app.quit() app.kill() ``` ## # 如上代码发现发生意外,已经试过很多方法,比如修改注册路径、重装等,仍然无法解决。新手,求大神指点,**不知道是代码写的问题,还是系统接口调用问题,怀疑自己,跪谢大神。** ![图片说明](https://img-ask.csdn.net/upload/202005/26/1590468206_406787.jpg)

pywintypes.com_error: (-2147352567, '发生意外。', (0, None, None, None, 0, -2147024381), None)

在python调用hfss时出现的错误,出现了三个File是什么意思? 这个错误如何解决?求大佬帮忙,万分感谢!!!![图片说明](https://img-ask.csdn.net/upload/201903/22/1553221573_876608.png)

python怎样调用和注册dll或com组件

我尝试调用大漠插件代码如下 import win32com.client dm = win32com.client.Dispatch('dm.dmsoft') print(dm.Ver()) 报错如下: F:\soft\python\python.exe F:/python_work/test_dir/test.py Traceback (most recent call last): File "F:\soft\python\lib\site-packages\win32com\client\dynamic.py", line 89, in _GetGoodDispatch IDispatch = pythoncom.connect(IDispatch) pywintypes.com_error: (-2147221021, '操作无法使用', None, None) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "F:/python_work/test_dir/test.py", line 9, in <module> dm = win32com.client.Dispatch('dm.dmsoft') File "F:\soft\python\lib\site-packages\win32com\client\__init__.py", line 95, in Dispatch dispatch, userName = dynamic._GetGoodDispatchAndUserName(dispatch,userName,clsctx) File "F:\soft\python\lib\site-packages\win32com\client\dynamic.py", line 114, in _GetGoodDispatchAndUserName return (_GetGoodDispatch(IDispatch, clsctx), userName) File "F:\soft\python\lib\site-packages\win32com\client\dynamic.py", line 91, in _GetGoodDispatch IDispatch = pythoncom.CoCreateInstance(IDispatch, None, clsctx, pythoncom.IID_IDispatch) pywintypes.com_error: (-2147221164, '没有注册类', None, None) 请大神们详细指点下怎样操作 本人小白一个 跪谢!! QQ:1746476939

Python+xlwings 多线程操作excel 报错,请问怎么解决

错误内容: pywintypes.com_error: (-2147417842, '应用程序调用一个已为另一线程整理的接口。', None, None)

使用python调用matlab问题

1.python版本2.7,matlab 2014a 2.安装了pywin,并且按以下代码运行: from win32com.client import Dispatch h = Dispatch("Matlab.application") h.execute("test(0.0,512.0)") 出现了: pywintypes.com_error: (-2147221164, '\xc3\xbb\xd3\xd0\xd7\xa2\xb2\xe1\xc0\xe0', None, None)错误 说明:matlab2014a是直接拷贝到电脑的,打开exe文件可以之间用。

pyautocad 不支持此接口

CAD2020 python3.7 报错提示: _ctypes.COMError: (-2147467262, '不支持此接口', (None, None, None, 0, None))

python xlwings无法使用?

初学xlwings,刚开始就遇到了问题 xlwings导入后无法调用Book()方法,但是在控制台里可以用 **错误信息:** ``` Traceback (most recent call last): File "xlwings.py", line 1, in <module> import xlwings as xw File "D:\文档\AiMyPython\PythonExcel\xlwings.py", line 2, in <module> wb = xw.Book() AttributeError: module 'xlwings' has no attribute 'Book' ``` ![图片说明](https://img-ask.csdn.net/upload/201809/24/1537766643_461910.png) ![图片说明](https://img-ask.csdn.net/upload/201809/24/1537766671_358888.png) 在此请教各位大神

pyinstaller打包错误 系统无法访问此文件

61 INFO: PyInstaller: 3.6 61 INFO: Python: 3.8.2 63 INFO: Platform: Windows-10-10.0.18362-SP0 63 INFO: wrote D:\hy\源代码\jupyter\test\test.spec 65 INFO: UPX is not available. 66 INFO: Extending PYTHONPATH with paths ['D:\\hy\\源代码\\jupyter\\test', 'D:\\hy\\源代码\\jupyter\\test'] 66 INFO: checking Analysis 66 INFO: Building Analysis because Analysis-00.toc is non existent 66 INFO: Initializing module dependency graph... 70 INFO: Caching module graph hooks... 77 INFO: Analyzing base_library.zip ... 2399 INFO: Processing pre-find module path hook distutils 2400 INFO: distutils: retargeting to non-venv dir 'C:\\Program Files\\WindowsApps\\PythonSoftwareFoundation.Python.3.8_3.8.752.0_x64__qbz5n2kfra8p0\\lib' 4061 INFO: Caching module dependency graph... 4162 INFO: running Analysis Analysis-00.toc Traceback (most recent call last): File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\site-packages\win32ctypes\pywin32\pywintypes.py", line 35, in pywin32error yield File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\site-packages\win32ctypes\pywin32\win32api.py", line 43, in LoadLibraryEx return _dll._LoadLibraryEx(fileName, 0, flags) File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\site-packages\win32ctypes\core\ctypes\_util.py", line 42, in check_null raise make_error(function, function_name) OSError: [WinError 1920] 系统无法访问此文件。 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\Program Files\WindowsApps\PythonSoftwareFoundation.Python.3.8_3.8.752.0_x64__qbz5n2kfra8p0\lib\runpy.py", line 193, in _run_module_as_main return _run_code(code, main_globals, None, File "C:\Program Files\WindowsApps\PythonSoftwareFoundation.Python.3.8_3.8.752.0_x64__qbz5n2kfra8p0\lib\runpy.py", line 86, in _run_code exec(code, run_globals) File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\Scripts\pyinstaller.exe\__main__.py", line 7, in <module> File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\site-packages\PyInstaller\__main__.py", line 114, in run run_build(pyi_config, spec_file, **vars(args)) File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\site-packages\PyInstaller\__main__.py", line 65, in run_build PyInstaller.building.build_main.main(pyi_config, spec_file, **kwargs) File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\site-packages\PyInstaller\building\build_main.py", line 734, in main build(specfile, kw.get('distpath'), kw.get('workpath'), kw.get('clean_build')) File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\site-packages\PyInstaller\building\build_main.py", line 681, in build exec(code, spec_namespace) File "D:\hy\源代码\jupyter\test\test.spec", line 6, in <module> a = Analysis(['test.py'], File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\site-packages\PyInstaller\building\build_main.py", line 244, in __init__ self.__postinit__() File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\site-packages\PyInstaller\building\datastruct.py", line 160, in __postinit__ self.assemble() File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\site-packages\PyInstaller\building\build_main.py", line 393, in assemble self.binaries.extend(bindepend.Dependencies([('', python, '')], File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\site-packages\PyInstaller\depend\bindepend.py", line 228, in Dependencies for ftocnm, fn in getAssemblyFiles(pth, manifest, redirects): File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\site-packages\PyInstaller\depend\bindepend.py", line 404, in getAssemblyFiles for assembly in getAssemblies(pth): File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\site-packages\PyInstaller\depend\bindepend.py", line 355, in getAssemblies res = GetManifestResources(pth) File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\site-packages\PyInstaller\utils\win32\winmanifest.py", line 1007, in GetManifestResources return winresource.GetResources(filename, [RT_MANIFEST], names, languages) File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\site-packages\PyInstaller\utils\win32\winresource.py", line 170, in GetResources hsrc = win32api.LoadLibraryEx(filename, 0, LOAD_LIBRARY_AS_DATAFILE) File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\site-packages\win32ctypes\pywin32\win32api.py", line 43, in LoadLibraryEx return _dll._LoadLibraryEx(fileName, 0, flags) File "C:\Program Files\WindowsApps\PythonSoftwareFoundation.Python.3.8_3.8.752.0_x64__qbz5n2kfra8p0\lib\contextlib.py", line 131, in __exit__ self.gen.throw(type, value, traceback) File "C:\Users\hy\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.8_qbz5n2kfra8p0\LocalCache\local-packages\Python38\site-packages\win32ctypes\pywin32\pywintypes.py", line 37, in pywin32error raise error(exception.winerror, exception.function, exception.strerror) win32ctypes.pywin32.pywintypes.error: (1920, 'LoadLibraryExW', '系统无法访问此文件。')

使用win32com启动word时正常,但是启动excel却报错,是为什么呢。

![图片说明](https://img-ask.csdn.net/upload/202002/17/1581904882_281221.png) ![图片说明](https://img-ask.csdn.net/upload/202002/17/1581904893_592074.png) 这是正常启动word ![图片说明](https://img-ask.csdn.net/upload/202002/17/1581904907_608585.png)![图片说明](https://img-ask.csdn.net/upload/202002/17/1581904915_364156.png) 这是启动excel失败

使用pyinstalle时error: (1920, 'LoadLibraryExW', '系统无法访问此文件。')

使用pyinstaller打包时遇到错误 错误返回为: File "C:\Users\12626\AppData\Local\Packages\PythonSoftwareFoundation.Python.3.7_qbz5n2kfra8p0\LocalCache\local-packages\Python37\site-packages\win32ctypes\pywin32\pywintypes.py", line 37, in pywin32error raise error(exception.winerror, exception.function, exception.strerror) win32ctypes.pywin32.pywintypes.error: (1920, 'LoadLibraryExW', '系统无法访问此文件。') 求解呀

报错:the imp module is deprecated in favour of importlib

D:\python\lib\site-packages\win32\lib\pywintypes.py:2: DeprecationWarning:the imp module is deprecated in favour of importlib; see the module's documentation for alternative uses 因为python 3.4之后 imp 被弃用 ,因此弹出错误提示,看了很多大神的答案,但还是不知道应该如何修改pywintypes.py?该文件源码如下,请大神帮看看 import imp, sys, os def __import_pywin32_system_module__(modname, globs): if not sys.platform.startswith("win32"): for ext, mode, ext_type in imp.get_suffixes(): if ext_type==imp.C_EXTENSION: for path in sys.path: look = os.path.join(path, "lib" + modname + ext) if os.path.isfile(look): mod = imp.load_module(modname, None, look, (ext, mode, ext_type)) globs.update(mod.__dict__) return raise ImportError("No dynamic module " + modname) for suffix_item in imp.get_suffixes(): if suffix_item[0]=='_d.pyd': suffix = '_d' break else: suffix = "" filename = "%s%d%d%s.dll" % \ (modname, sys.version_info[0], sys.version_info[1], suffix) if hasattr(sys, "frozen"): for look in sys.path: if os.path.isfile(look): look = os.path.dirname(look) found = os.path.join(look, filename) if os.path.isfile(found): break else: raise ImportError("Module '%s' isn't in frozen sys.path %s" % (modname, sys.path)) else: import _win32sysloader found = _win32sysloader.GetModuleFilename(filename) if found is None: found = _win32sysloader.LoadModule(filename) if found is None: if os.path.isfile(os.path.join(sys.prefix, filename)): found = os.path.join(sys.prefix, filename) if found is None: if os.path.isfile(os.path.join(os.path.dirname(__file__), filename)): found = os.path.join(os.path.dirname(__file__), filename) if found is None: import distutils.sysconfig maybe = os.path.join(distutils.sysconfig.get_python_lib(plat_specific=1), "pywin32_system32", filename) if os.path.isfile(maybe): found = maybe if found is None: raise ImportError("No system module '%s' (%s)" % (modname, filename)) old_mod = sys.modules[modname] mod = imp.load_dynamic(modname, found) if sys.version_info < (3,0): assert sys.modules[modname] is old_mod assert mod is old_mod else: assert sys.modules[modname] is not old_mod assert sys.modules[modname] is mod sys.modules[modname] = old_mod globs.update(mod.__dict__) __import_pywin32_system_module__("pywintypes", globals())

python调用com接口问题

请教下各位,用python实现VISSIM(交通仿真软件)的调用。能够打开软件,载入文件。但实现不了对API的调用,关联不到typelibaray(写代码时也没自动补全)。 代码如下:# -*- coding: utf-8 -*- import win32com.client as com Vissim = com.Dispatch("Vissim.Vissim") Filename = r'E:\study\1.inp' Vissim.LoadNet(Filename) Link_number = 1 Name_of_Link = Vissim.Net.Links.ItemByKey(Link_number).AttValue('Name') print 'Name of Link(',Link_number,'):',Name_of_Link #获得道路名称 错误提示: Traceback (most recent call last): File "<string>", line 254, in run_nodebug File "C:\Users\Administrator\Desktop\develop\LOAD3.py", line 19, in <module> Name_of_Link = Vissim.Net.Links.ItemByKey(Link_number).AttValue('Name') File "D:\Python\lib\site-packages\win32com\client\dynamic.py", line 527, in __getattr__ raise AttributeError("%s.%s" % (self._username_, attr)) AttributeError: <unknown>.ItemByKey 这是什么原因呢,请大手子解答下~金币不多,请见谅 也试过用regsvr32 和 regam 去注册dll文件(不清楚是哪个就都试了一遍) ![图片说明](https://img-ask.csdn.net/upload/201705/15/1494819662_358196.png)

Com操作Excel 弹出被呼叫方拒绝呼叫

![图片说明](https://img-ask.csdn.net/upload/201604/29/1461897872_109665.png) 通过Com打开excel 然后设置为可见,切换别的软件,然后再进入excel编辑的时候回出现这个问题

python下怎么读取doc 或者把doc转换成docx

运行之后 ``` import sys import pickle import re import codecs import string import shutil from win32com import client as wc import docx def doSaveAas(): word = wc.Dispatch('Word.Application') doc = word.Documents.Open(u'E:\\3\\减肥日记-副本.doc') # 目标路径下的文件 doc.SaveAs(u'E:\\code\\hhhhhhhh.docx', 16, False, "", True, "", False, False, False, False) # 转化后路径下的文件 doc.Close() word.Quit() doSaveAas() ``` Traceback (most recent call last): File "c:\Users\Administrator\.vscode\extensions\ms-python.python-2019.6.24221\pythonFiles\ptvsd_launcher.py", line 43, in <module> main(ptvsdArgs) File "c:\Users\Administrator\.vscode\extensions\ms-python.python-2019.6.24221\pythonFiles\lib\python\ptvsd\__main__.py", line 434, in main run() File "c:\Users\Administrator\.vscode\extensions\ms-python.python-2019.6.24221\pythonFiles\lib\python\ptvsd\__main__.py", line 312, in run_file runpy.run_path(target, run_name='__main__') File "D:\Users\Administrator\Anaconda3\lib\runpy.py", line 263, in run_path pkg_name=pkg_name, script_name=fname) File "D:\Users\Administrator\Anaconda3\lib\runpy.py", line 96, in _run_module_code mod_name, mod_spec, pkg_name, script_name) File "D:\Users\Administrator\Anaconda3\lib\runpy.py", line 85, in _run_code exec(code, run_globals) File "d:\Untitled-1.py", line 18, in <module> doSaveAas() File "d:\Untitled-1.py", line 12, in doSaveAas word = wc.Dispatch('Word.Application') File "D:\Users\Administrator\Anaconda3\lib\site-packages\win32com\client\__init__.py", line 95, in Dispatch dispatch, userName = dynamic._GetGoodDispatchAndUserName(dispatch,userName,clsctx) File "D:\Users\Administrator\Anaconda3\lib\site-packages\win32com\client\dynamic.py", line 114, in _GetGoodDispatchAndUserName return (_GetGoodDispatch(IDispatch, clsctx), userName) File "D:\Users\Administrator\Anaconda3\lib\site-packages\win32com\client\dynamic.py", line 91, in _GetGoodDispatch IDispatch = pythoncom.CoCreateInstance(IDispatch, None, clsctx, pythoncom.IID_IDispatch) pywintypes.com_error: (-2147221005, '无效的类字符串', None, None)

如何使用python读取docx文件,然后将里面的所有数据图,复制粘贴到新文件中?

尝试过很多办法,python-docx,pywin32都尝试过,但都没能实现。难点在于,docx文件里的图是用excel作的那种,结构都是散的,如果是单张图片,复制粘贴很简单。但这种excel生成的图,就很头大了,不知道有没有办法,将这个图转成PNG或者JPG格式,又或者不转格式,直接带着格式复制粘贴到某个新的word文档中呢?希望各位大神指点迷津下吧!

用pyinstaller封装python3.6脚本,生成的exe无法加载所需的包怎么办?

我已经尝试了各种办法,在创建exe的时候用-p命令添加python\lib\side-package里面我所要用的包的文件夹路径,或者在后面加上--path=,但是生成的exe文件在运行的时候还是会显示这样: ``` [15664] PyInstaller Bootloader 3.x [15664] LOADER: executable is E:\python\exe\dist\Timer.exe [15664] LOADER: homepath is E:\python\exe\dist [15664] LOADER: _MEIPASS2 is NULL [15664] LOADER: archivename is E:\python\exe\dist\Timer.exe [15664] LOADER: Extracting binaries [15664] LOADER: Executing self as child [15664] LOADER: set _MEIPASS2 to C:\Users\pm494\AppData\Local\Temp\_MEI156642 [15664] LOADER: Setting up to run child [15664] LOADER: Creating child process [15664] LOADER: Waiting for child process to finish... [17992] PyInstaller Bootloader 3.x [17992] LOADER: executable is E:\python\exe\dist\Timer.exe [17992] LOADER: homepath is E:\python\exe\dist [17992] LOADER: _MEIPASS2 is C:\Users\pm494\AppData\Local\Temp\_MEI156642 [17992] LOADER: archivename is E:\python\exe\dist\Timer.exe [17992] LOADER: SetDllDirectory(C:\Users\pm494\AppData\Local\Temp\_MEI156642) [17992] LOADER: Already in the child - running user's code. [17992] LOADER: manifestpath: C:\Users\pm494\AppData\Local\Temp\_MEI156642\Timer.exe.manifest [17992] LOADER: Activation context created [17992] LOADER: Activation context activated [17992] LOADER: Python library: C:\Users\pm494\AppData\Local\Temp\_MEI156642\python36.dll [17992] LOADER: Loaded functions from Python library. [17992] LOADER: Manipulating environment (sys.path, sys.prefix) [17992] LOADER: Pre-init sys.path is C:\Users\pm494\AppData\Local\Temp\_MEI156642\base_library.zip;C:\Users\pm494\AppData\Local\Temp\_MEI156642 [17992] LOADER: sys.prefix is C:\Users\pm494\AppData\Local\Temp\_MEI156642 [17992] LOADER: Setting runtime options [17992] LOADER: Bootloader option: pyi-windows-manifest-filename Timer.exe.manifest [17992] LOADER: Initializing python [17992] LOADER: Overriding Python's sys.path [17992] LOADER: Post-init sys.path is C:\Users\pm494\AppData\Local\Temp\_MEI156642\base_library.zip;C:\Users\pm494\AppData\Local\Temp\_MEI156642 [17992] LOADER: Setting sys.argv [17992] LOADER: setting sys._MEIPASS [17992] LOADER: importing modules from CArchive [17992] LOADER: extracted struct [17992] LOADER: callfunction returned... [17992] LOADER: extracted pyimod01_os_path [17992] LOADER: callfunction returned... [17992] LOADER: extracted pyimod02_archive [17992] LOADER: callfunction returned... [17992] LOADER: extracted pyimod03_importers [17992] LOADER: callfunction returned... [17992] LOADER: Installing PYZ archive with Python modules. [17992] LOADER: PYZ archive: out00-PYZ.pyz [17992] LOADER: Running pyiboot01_bootstrap.py [17992] LOADER: Running pyi_rth_win32comgenpy.py [17992] LOADER: Running Timer.py Traceback (most recent call last): File "Timer.py", line 24, in <module> ModuleNotFoundError: No module named 'logilib' [17992] Failed to execute script Timer [17992] LOADER: OK. [17992] LOADER: Cleaning up Python interpreter. [15664] LOADER: Back to parent (RC: -1) [15664] LOADER: Doing cleanup [15664] LOADER: Freeing archive status for E:\python\exe\dist\Timer.exe ``` 我尝试在另一台装有python3.5和要用的包的电脑上使用pyinstaller,按照同样的方法生成exe,运行结果是一样的。我看了看代码中的24行是加载BeautifulSoup命令:from bs4 import BeautifulSoup 谷歌看了半天也找到合适的解决办法,求大神帮我看看到底是怎么回事? pyinstaller运行过程是这样的: ``` E:\python\exe>pyinstaller -F -d Timer.py --path=E:/python/exe/Lib;E:/python/exe/Lib/site-package;E:/python/exe/Lib/site-packages/xlwings;E:/python/exe/Lib/site-packages/bs4;E:/python/exe/Lib/site-packages/selenium 5 WARNING: Internal error: early pywin32 import was introduced 63 INFO: PyInstaller: 3.2.1 63 INFO: Python: 3.6.2 64 INFO: Platform: Windows-10-10.0.14393-SP0 66 INFO: wrote E:\python\exe\Timer.spec 68 INFO: UPX is not available. 71 INFO: Extending PYTHONPATH with paths ['E:\\python\\exe', 'E:\\python\\exe\\Lib', 'E:\\python\\exe\\Lib\\site-package', 'E:\\python\\exe\\Lib\\site-packages\\xlwings', 'E:\\python\\exe\\Lib\\site-packages\\bs4', 'E:\\python\\exe\\Lib\\site-packages\\selenium', 'E:\\python\\exe'] 75 INFO: checking Analysis 76 INFO: Building Analysis because out00-Analysis.toc is non existent 77 INFO: Initializing module dependency graph... 80 INFO: Initializing module graph hooks... 82 INFO: Analyzing base_library.zip ... 2889 INFO: running Analysis out00-Analysis.toc 2892 INFO: Adding Microsoft.Windows.Common-Controls to dependent assemblies of final executable required by D:\workapp\Python\python.exe 3230 INFO: Caching module hooks... 3234 INFO: Analyzing E:\python\exe\Timer.py 4930 INFO: Processing pre-safe import module hook win32com 6402 INFO: Loading module hooks... 6402 INFO: Loading module hook "hook-encodings.py"... 6488 INFO: Loading module hook "hook-pydoc.py"... 6489 INFO: Loading module hook "hook-pythoncom.py"... 6706 INFO: Loading module hook "hook-pywintypes.py"... 6915 INFO: Loading module hook "hook-selenium.py"... 6920 INFO: Loading module hook "hook-win32com.py"... 6920 INFO: Loading module hook "hook-xml.dom.domreg.py"... 6921 INFO: Loading module hook "hook-xml.py"... 6940 INFO: Looking for ctypes DLLs 7045 WARNING: library coredll required via ctypes not found 7054 INFO: Analyzing run-time hooks ... 7058 INFO: Including run-time hook 'pyi_rth_win32comgenpy.py' 7067 INFO: Looking for dynamic libraries 7380 INFO: Looking for eggs 7381 INFO: Using Python library D:\workapp\Python\python36.dll 7382 INFO: Found binding redirects: [] 7389 INFO: Warnings written to E:\python\exe\build\Timer\warnTimer.txt 7401 INFO: checking PYZ 7401 INFO: Building PYZ because out00-PYZ.toc is non existent 7403 INFO: Building PYZ (ZlibArchive) E:\python\exe\build\Timer\out00-PYZ.pyz 8492 INFO: Building PYZ (ZlibArchive) E:\python\exe\build\Timer\out00-PYZ.pyz completed successfully. 8503 INFO: checking PKG 8503 INFO: Building PKG because out00-PKG.toc is non existent 8504 INFO: Building PKG (CArchive) out00-PKG.pkg 11271 INFO: Building PKG (CArchive) out00-PKG.pkg completed successfully. 11275 INFO: Bootloader D:\workapp\Python\lib\site-packages\PyInstaller\bootloader\Windows-64bit\run_d.exe 11275 INFO: checking EXE 11276 INFO: Building EXE because out00-EXE.toc is non existent 11278 INFO: Building EXE from out00-EXE.toc 11279 INFO: Appending archive to EXE E:\python\exe\dist\Timer.exe 11288 INFO: Building EXE from out00-EXE.toc completed successfully. ``` ------------------------------------------------------------------------ 刚刚试了一下另一个包,发现问题可能就是出在脚本中的bs4上面,在加载另一个包的时候并没有问题,程序可以运行。所以为什么是bs4这个包?到底该怎么找到问题呢?

为什么 python 调用 win32print 获取打印机状态失败?

想设计一个程序让打印机在有纸的情况下的自动打印特定文档,检测到没纸停止打印,检测再次有纸再次打印。调用win32print库返回的结果一直是{'pServerName': None, 'pPrinterName': 'Pantum P2500 Series', 'pShareName': '', 'pPortName': 'USB002', 'pDriverName': 'Pantum P2500 Series', 'pComment': None, 'pLocation': None, 'pDevMode': <PyDEVMODEW object at 0x012E37E0>, 'pSepFile': None, 'pPrintProcessor': 'winprint', 'pDatatype': 'RAW', 'pParameters': None, 'pSecurityDescriptor': <PySECURITY_DESCRIPTOR object at 0x012D9FE0>, 'Attributes': 2624, 'Priority': 1, 'DefaultPriority': 0, 'StartTime': 0, 'UntilTime': 0, 'Status': 0, 'cJobs': 1, 'AveragePPM': 0} 换了两种型号的打印机都是 'Status': 0 均未能检测出打印机当前的状态。请热心的大佬帮我看看问题出在哪里? ``` import win32print import win32ui import win32con INCH = 1440 # 实例化 hDC = win32ui.CreateDC() # 获取打印机句柄 hDC.CreatePrinterDC(win32print.GetDefaultPrinter()) # 设置打印位置 ulc_x = 200 # 左上X ulc_y = -200 # 左上Y lrc_x = 11350 # 右下X lrc_y = -11350 # 右下Y # # 开始打印 hDC.StartDoc("add page") # 获取打印机状态 hPrinter = win32print.OpenPrinter('Pantum P2500 Series') dic = win32print.GetPrinter(hPrinter, 2) for i in range(1, 3): hDC.StartPage() hDC.SetMapMode(win32con.MM_TWIPS) hDC.DrawText(str(i), (ulc_x, ulc_y, lrc_x, lrc_y), win32con.DT_RIGHT) hDC.EndPage() print(dic) win32print.AbortPrinter(hPrinter) hDC.EndDoc() ``` ``` 输出 {'pServerName': None, 'pPrinterName': 'Pantum P2500 Series', 'pShareName': '', 'pPortName': 'USB002', 'pDriverName': 'Pantum P2500 Series', 'pComment': None, 'pLocation': None, 'pDevMode': <PyDEVMODEW object at 0x012E37E0>, 'pSepFile': None, 'pPrintProcessor': 'winprint', 'pDatatype': 'RAW', 'pParameters': None, 'pSecurityDescriptor': <PySECURITY_DESCRIPTOR object at 0x012D9FE0>, 'Attributes': 2624, 'Priority': 1, 'DefaultPriority': 0, 'StartTime': 0, 'UntilTime': 0, 'Status': 0, 'cJobs': 1, 'AveragePPM': 0} Traceback (most recent call last): File "c:\Users\Administrator.DESKTOP-BCUJV93\Desktop\code-learning\页码打印\win32printer学习.py", line 30, in <module> win32print.AbortPrinter(hPrinter) pywintypes.error: (3003, 'AbortPrinter', '未发送 StartDocPrinter 调用。')

关于python调用C#库的问题

 大家好,我需要用python来调用C#的.dll,一直在研究http://blog.csdn.net/xugangjava/article/details/7202356这篇文章,现在碰到了一个问题,请大家帮忙出出主意,谢谢。  首先是这篇文章中的最末尾,命令行中有一条“d.EncryptMd5('dsaf')”(如图1)。请问这个"d."是从何而来?之前也没有看到任何类例化成了"d"? 图1: ![图片说明](https://img-ask.csdn.net/upload/201604/13/1460562589_893201.png)  其次是我在调用由C# COM生成的.py文件中的方法时,出现了“CoClassBaseClass”类能正常例化,而“DispatchBaseClass”无法正常例化的情况(如图2和图3),请问这是为什么?如何才是正确的调用方法? 图2: ![图片说明](https://img-ask.csdn.net/upload/201604/13/1460562611_990146.png) 图3: ![图片说明](https://img-ask.csdn.net/upload/201604/13/1460562630_687172.png) 以下是用makepy转化C# COM生成的.py: ``` #python# # -*- coding: mbcs -*- # Created by makepy.py version 0.5.01 # By python version 2.7.4 (default, Apr 6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)] # From type library 'testCom.tlb' # On Wed Apr 13 16:58:28 2016 '' makepy_version = '0.5.01' python_version = 0x20704f0 import win32com.client.CLSIDToClass, pythoncom, pywintypes import win32com.client.util from pywintypes import IID from win32com.client import Dispatch # The following 3 lines may need tweaking for the particular server # Candidates are pythoncom.Missing, .Empty and .ArgNotFound defaultNamedOptArg=pythoncom.Empty defaultNamedNotOptArg=pythoncom.Empty defaultUnnamedArg=pythoncom.Empty CLSID = IID('{95A0DC02-9D6B-4A40-A78A-C65357E749F5}') MajorVersion = 1 MinorVersion = 0 LibraryFlags = 8 LCID = 0x0 from win32com.client import DispatchBaseClass class IMyClass(DispatchBaseClass): CLSID = IID('{88DB152F-BC26-43C9-BED0-B6CDE14D85CF}') coclass_clsid = None def Add(self, x=defaultNamedNotOptArg, y=defaultNamedNotOptArg): return self._oleobj_.InvokeTypes(1610743808, LCID, 1, (3, 0), ((3, 1), (3, 1)),x , y) _prop_map_get_ = { } _prop_map_put_ = { } def __iter__(self): "Return a Python iterator for this object" try: ob = self._oleobj_.InvokeTypes(-4,LCID,3,(13, 10),()) except pythoncom.error: raise TypeError("This object does not support enumeration") return win32com.client.util.Iterator(ob, None) class _ComTest(DispatchBaseClass): CLSID = IID('{8069ED53-4C67-3611-BB38-AB9721C851EB}') coclass_clsid = IID('{20CEDF1F-BB34-4D68-B657-3884B6E84C4C}') _prop_map_get_ = { } _prop_map_put_ = { } def __iter__(self): "Return a Python iterator for this object" try: ob = self._oleobj_.InvokeTypes(-4,LCID,3,(13, 10),()) except pythoncom.error: raise TypeError("This object does not support enumeration") return win32com.client.util.Iterator(ob, None) class _Object(DispatchBaseClass): CLSID = IID('{65074F7F-63C0-304E-AF0A-D51741CB4A8D}') coclass_clsid = IID('{20CEDF1F-BB34-4D68-B657-3884B6E84C4C}') def Equals(self, obj=defaultNamedNotOptArg): return self._oleobj_.InvokeTypes(1610743809, LCID, 1, (11, 0), ((12, 1),),obj ) def GetHashCode(self): return self._oleobj_.InvokeTypes(1610743810, LCID, 1, (3, 0), (),) # Result is of type _Type def GetType(self): ret = self._oleobj_.InvokeTypes(1610743811, LCID, 1, (13, 0), (),) if ret is not None: # See if this IUnknown is really an IDispatch try: ret = ret.QueryInterface(pythoncom.IID_IDispatch) except pythoncom.error: return ret ret = Dispatch(ret, u'GetType', '{BCA8B44D-AAD6-3A86-8AB7-03349F4F2DA2}') return ret _prop_map_get_ = { "ToString": (0, 2, (8, 0), (), "ToString", None), } _prop_map_put_ = { } # Default property for this class is 'ToString' def __call__(self): return self._ApplyTypes_(*(0, 2, (8, 0), (), "ToString", None)) def __unicode__(self, *args): try: return unicode(self.__call__(*args)) except pythoncom.com_error: return repr(self) def __str__(self, *args): return str(self.__unicode__(*args)) def __int__(self, *args): return int(self.__call__(*args)) def __iter__(self): "Return a Python iterator for this object" try: ob = self._oleobj_.InvokeTypes(-4,LCID,3,(13, 10),()) except pythoncom.error: raise TypeError("This object does not support enumeration") return win32com.client.util.Iterator(ob, None) from win32com.client import CoClassBaseClass # This CoClass is known by the name 'testCom.ComTest' class ComTest(CoClassBaseClass): # A CoClass CLSID = IID('{20CEDF1F-BB34-4D68-B657-3884B6E84C4C}') coclass_sources = [ ] coclass_interfaces = [ _ComTest, _Object, ] default_interface = _ComTest IMyClass_vtables_dispatch_ = 1 IMyClass_vtables_ = [ (( u'Add' , u'x' , u'y' , u'pRetVal' , ), 1610743808, (1610743808, (), [ (3, 1, None, None) , (3, 1, None, None) , (16387, 10, None, None) , ], 1 , 1 , 4 , 0 , 28 , (3, 0, None, None) , 0 , )), ] _ComTest_vtables_dispatch_ = 1 _ComTest_vtables_ = [ ] _Object_vtables_dispatch_ = 1 _Object_vtables_ = [ (( u'ToString' , u'pRetVal' , ), 0, (0, (), [ (16392, 10, None, None) , ], 1 , 2 , 4 , 0 , 28 , (3, 0, None, None) , 0 , )), (( u'Equals' , u'obj' , u'pRetVal' , ), 1610743809, (1610743809, (), [ (12, 1, None, None) , (16395, 10, None, None) , ], 1 , 1 , 4 , 0 , 32 , (3, 0, None, None) , 0 , )), (( u'GetHashCode' , u'pRetVal' , ), 1610743810, (1610743810, (), [ (16387, 10, None, None) , ], 1 , 1 , 4 , 0 , 36 , (3, 0, None, None) , 0 , )), (( u'GetType' , u'pRetVal' , ), 1610743811, (1610743811, (), [ (16397, 10, None, "IID('{BCA8B44D-AAD6-3A86-8AB7-03349F4F2DA2}')") , ], 1 , 1 , 4 , 0 , 40 , (3, 0, None, None) , 0 , )), ] RecordMap = { } CLSIDToClassMap = { '{20CEDF1F-BB34-4D68-B657-3884B6E84C4C}' : ComTest, '{88DB152F-BC26-43C9-BED0-B6CDE14D85CF}' : IMyClass, '{8069ED53-4C67-3611-BB38-AB9721C851EB}' : _ComTest, '{65074F7F-63C0-304E-AF0A-D51741CB4A8D}' : _Object, } CLSIDToPackageMap = {} win32com.client.CLSIDToClass.RegisterCLSIDsFromDict( CLSIDToClassMap ) VTablesToPackageMap = {} VTablesToClassMap = { '{88DB152F-BC26-43C9-BED0-B6CDE14D85CF}' : 'IMyClass', '{8069ED53-4C67-3611-BB38-AB9721C851EB}' : '_ComTest', '{65074F7F-63C0-304E-AF0A-D51741CB4A8D}' : '_Object', } NamesToIIDMap = { 'IMyClass' : '{88DB152F-BC26-43C9-BED0-B6CDE14D85CF}', '_ComTest' : '{8069ED53-4C67-3611-BB38-AB9721C851EB}', '_Object' : '{65074F7F-63C0-304E-AF0A-D51741CB4A8D}', } ```

Python ctypes 中回调函数设置

我在python中想调用dll库的函数,但是这个dll库的函数参数需要设置一个回调函数指针,如下 void setCallBack(void(*)(Data &a)) Data is C struct, declare as below typedef struct { int index, .... }Data 我在python中调用代码如下: mydll = cdll.LoadLibrary("XXX.dll") callback_type = CFUNCTYPE(None, POINTER(Data)) callback = callback_type(Data) mydll.setCallBack(callback) def dataResponse(data): print data.index class Data(ctypes.Structure): _fields_ = [("index", c_int)] 调用时发生"WindowsError: [Error -1073741795] Windows Error 0xC000001D"错误, 请大家帮忙看一下如何设置回调函数,感觉如何参数类型是C++引用的话,POINTER好像是不对的。

在中国程序员是青春饭吗?

今年,我也32了 ,为了不给大家误导,咨询了猎头、圈内好友,以及年过35岁的几位老程序员……舍了老脸去揭人家伤疤……希望能给大家以帮助,记得帮我点赞哦。 目录: 你以为的人生 一次又一次的伤害 猎头界的真相 如何应对互联网行业的「中年危机」 一、你以为的人生 刚入行时,拿着傲人的工资,想着好好干,以为我们的人生是这样的: 等真到了那一天,你会发现,你的人生很可能是这样的: ...

程序员请照顾好自己,周末病魔差点一套带走我。

程序员在一个周末的时间,得了重病,差点当场去世,还好及时挽救回来了。

C++(数据结构与算法)78:---分而治之

一、分而治之的思想 分而治之方法与软件设计的模块化方法非常相似 分而治之通常不用于解决问题的小实例,而要解决一个问题的大实例。一般步骤为: ①把一个大实例分为两个或多个更小的实例 ②分别解决每个小实例 ③把这些小实例的解组合成原始大实例的解 二、实际应用之找出假币 问题描述 一个袋子有16个硬币,其中只有一个是假币,这个假币比其他的真币重量轻(其他所有真币的重量都是相同的)...

springboot+jwt实现token登陆权限认证

一 前言 此篇文章的内容也是学习不久,终于到周末有时间码一篇文章分享知识追寻者的粉丝们,学完本篇文章,读者将对token类的登陆认证流程有个全面的了解,可以动态搭建自己的登陆认证过程;对小项目而已是个轻量级的认证机制,符合开发需求;更多精彩原创内容关注公主号知识追寻者,读者的肯定,就是对作者的创作的最大支持; 二 jwt实现登陆认证流程 用户使用账号和面发出post请求 服务器接受到请求后使用私...

技术大佬:我去,你写的 switch 语句也太老土了吧

昨天早上通过远程的方式 review 了两名新来同事的代码,大部分代码都写得很漂亮,严谨的同时注释也很到位,这令我非常满意。但当我看到他们当中有一个人写的 switch 语句时,还是忍不住破口大骂:“我擦,小王,你丫写的 switch 语句也太老土了吧!” 来看看小王写的代码吧,看完不要骂我装逼啊。 private static String createPlayer(PlayerTypes p...

win10暴力查看wifi密码

刚才邻居打了个电话说:喂小灰,你家wifi的密码是多少,我怎么连不上了。 我。。。 我也忘了哎,就找到了一个好办法,分享给大家: 第一种情况:已经连接上的wifi,怎么知道密码? 打开:控制面板\网络和 Internet\网络连接 然后右击wifi连接的无线网卡,选择状态 然后像下图一样: 第二种情况:前提是我不知道啊,但是我以前知道密码。 此时可以利用dos命令了 1、利用netsh wlan...

女程序员,为什么比男程序员少???

昨天看到一档综艺节目,讨论了两个话题:(1)中国学生的数学成绩,平均下来看,会比国外好?为什么?(2)男生的数学成绩,平均下来看,会比女生好?为什么?同时,我又联想到了一个技术圈经常讨...

副业收入是我做程序媛的3倍,工作外的B面人生是怎样的?

提到“程序员”,多数人脑海里首先想到的大约是:为人木讷、薪水超高、工作枯燥…… 然而,当离开工作岗位,撕去层层标签,脱下“程序员”这身外套,有的人生动又有趣,马上展现出了完全不同的A/B面人生! 不论是简单的爱好,还是正经的副业,他们都干得同样出色。偶尔,还能和程序员的特质结合,产生奇妙的“化学反应”。 @Charlotte:平日素颜示人,周末美妆博主 大家都以为程序媛也个个不修边幅,但我们也许...

MySQL数据库面试题(2020最新版)

文章目录数据库基础知识为什么要使用数据库什么是SQL?什么是MySQL?数据库三大范式是什么mysql有关权限的表都有哪几个MySQL的binlog有有几种录入格式?分别有什么区别?数据类型mysql有哪些数据类型引擎MySQL存储引擎MyISAM与InnoDB区别MyISAM索引与InnoDB索引的区别?InnoDB引擎的4大特性存储引擎选择索引什么是索引?索引有哪些优缺点?索引使用场景(重点)...

如果你是老板,你会不会踢了这样的员工?

有个好朋友ZS,是技术总监,昨天问我:“有一个老下属,跟了我很多年,做事勤勤恳恳,主动性也很好。但随着公司的发展,他的进步速度,跟不上团队的步伐了,有点...

我入职阿里后,才知道原来简历这么写

私下里,有不少读者问我:“二哥,如何才能写出一份专业的技术简历呢?我总感觉自己写的简历太烂了,所以投了无数份,都石沉大海了。”说实话,我自己好多年没有写过简历了,但我认识的一个同行,他在阿里,给我说了一些他当年写简历的方法论,我感觉太牛逼了,实在是忍不住,就分享了出来,希望能够帮助到你。 01、简历的本质 作为简历的撰写者,你必须要搞清楚一点,简历的本质是什么,它就是为了来销售你的价值主张的。往深...

程序员写出这样的代码,能不挨骂吗?

当你换槽填坑时,面对一个新的环境。能够快速熟练,上手实现业务需求是关键。但是,哪些因素会影响你快速上手呢?是原有代码写的不够好?还是注释写的不够好?昨夜...

带了6个月的徒弟当了面试官,而身为高级工程师的我天天修Bug......

即将毕业的应届毕业生一枚,现在只拿到了两家offer,但最近听到一些消息,其中一个offer,我这个组据说客户很少,很有可能整组被裁掉。 想问大家: 如果我刚入职这个组就被裁了怎么办呢? 大家都是什么时候知道自己要被裁了的? 面试软技能指导: BQ/Project/Resume 试听内容: 除了刷题,还有哪些技能是拿到offer不可或缺的要素 如何提升面试软实力:简历, 行为面试,沟通能...

优雅的替换if-else语句

场景 日常开发,if-else语句写的不少吧??当逻辑分支非常多的时候,if-else套了一层又一层,虽然业务功能倒是实现了,但是看起来是真的很不优雅,尤其是对于我这种有强迫症的程序"猿",看到这么多if-else,脑袋瓜子就嗡嗡的,总想着解锁新姿势:干掉过多的if-else!!!本文将介绍三板斧手段: 优先判断条件,条件不满足的,逻辑及时中断返回; 采用策略模式+工厂模式; 结合注解,锦...

!大部分程序员只会写3年代码

如果世界上都是这种不思进取的软件公司,那别说大部分程序员只会写 3 年代码,恐怕就没有程序员这种职业。

离职半年了,老东家又发 offer,回不回?

有小伙伴问松哥这个问题,他在上海某公司,在离职了几个月后,前公司的领导联系到他,希望他能够返聘回去,他很纠结要不要回去? 俗话说好马不吃回头草,但是这个小伙伴既然感到纠结了,我觉得至少说明了两个问题:1.曾经的公司还不错;2.现在的日子也不是很如意。否则应该就不会纠结了。 老实说,松哥之前也有过类似的经历,今天就来和小伙伴们聊聊回头草到底吃不吃。 首先一个基本观点,就是离职了也没必要和老东家弄的苦...

2020阿里全球数学大赛:3万名高手、4道题、2天2夜未交卷

阿里巴巴全球数学竞赛( Alibaba Global Mathematics Competition)由马云发起,由中国科学技术协会、阿里巴巴基金会、阿里巴巴达摩院共同举办。大赛不设报名门槛,全世界爱好数学的人都可参与,不论是否出身数学专业、是否投身数学研究。 2020年阿里巴巴达摩院邀请北京大学、剑桥大学、浙江大学等高校的顶尖数学教师组建了出题组。中科院院士、美国艺术与科学院院士、北京国际数学...

为什么你不想学习?只想玩?人是如何一步一步废掉的

不知道是不是只有我这样子,还是你们也有过类似的经历。 上学的时候总有很多光辉历史,学年名列前茅,或者单科目大佬,但是虽然慢慢地长大了,你开始懈怠了,开始废掉了。。。 什么?你说不知道具体的情况是怎么样的? 我来告诉你: 你常常潜意识里或者心理觉得,自己真正的生活或者奋斗还没有开始。总是幻想着自己还拥有大把时间,还有无限的可能,自己还能逆风翻盘,只不是自己还没开始罢了,自己以后肯定会变得特别厉害...

男生更看重女生的身材脸蛋,还是思想?

往往,我们看不进去大段大段的逻辑。深刻的哲理,往往短而精悍,一阵见血。问:产品经理挺漂亮的,有点心动,但不知道合不合得来。男生更看重女生的身材脸蛋,还是...

为什么程序员做外包会被瞧不起?

二哥,有个事想询问下您的意见,您觉得应届生值得去外包吗?公司虽然挺大的,中xx,但待遇感觉挺低,马上要报到,挺纠结的。

当HR压你价,说你只值7K,你该怎么回答?

当HR压你价,说你只值7K时,你可以流畅地回答,记住,是流畅,不能犹豫。 礼貌地说:“7K是吗?了解了。嗯~其实我对贵司的面试官印象很好。只不过,现在我的手头上已经有一份11K的offer。来面试,主要也是自己对贵司挺有兴趣的,所以过来看看……”(未完) 这段话主要是陪HR互诈的同时,从公司兴趣,公司职员印象上,都给予对方正面的肯定,既能提升HR的好感度,又能让谈判气氛融洽,为后面的发挥留足空间。...

面试:第十六章:Java中级开发

HashMap底层实现原理,红黑树,B+树,B树的结构原理 Spring的AOP和IOC是什么?它们常见的使用场景有哪些?Spring事务,事务的属性,传播行为,数据库隔离级别 Spring和SpringMVC,MyBatis以及SpringBoot的注解分别有哪些?SpringMVC的工作原理,SpringBoot框架的优点,MyBatis框架的优点 SpringCould组件有哪些,他们...

早上躺尸,晚上干活:硅谷科技公司这么流行迟到?

硅谷科技公司上班时间OPEN早已不是什么新鲜事,早九晚五是常态,但有很多企业由于不打卡,员工们10点、11点才“姗姗来迟”的情况也屡见不鲜。 这种灵活的考勤制度为人羡慕,甚至近年来,国内某些互联网企业也纷纷效仿。不过,硅谷普遍弹性的上班制度是怎么由来的呢?这种“流行性迟到”真的有那么轻松、悠哉吗? 《动态规划专题班》 课程试听内容: 动态规划的解题要领 动态规划三大类 求最值/计数/可行性 常...

面试阿里p7,被按在地上摩擦,鬼知道我经历了什么?

面试阿里p7被问到的问题(当时我只知道第一个):@Conditional是做什么的?@Conditional多个条件是什么逻辑关系?条件判断在什么时候执...

Python爬虫,高清美图我全都要(彼岸桌面壁纸)

爬取彼岸桌面网站较为简单,用到了requests、lxml、Beautiful Soup4

无代码时代来临,程序员如何保住饭碗?

编程语言层出不穷,从最初的机器语言到如今2500种以上的高级语言,程序员们大呼“学到头秃”。程序员一边面临编程语言不断推陈出新,一边面临由于许多代码已存在,程序员编写新应用程序时存在重复“搬砖”的现象。 无代码/低代码编程应运而生。无代码/低代码是一种创建应用的方法,它可以让开发者使用最少的编码知识来快速开发应用程序。开发者通过图形界面中,可视化建模来组装和配置应用程序。这样一来,开发者直...

面试了一个 31 岁程序员,让我有所触动,30岁以上的程序员该何去何从?

最近面试了一个31岁8年经验的程序猿,让我有点感慨,大龄程序猿该何去何从。

大三实习生,字节跳动面经分享,已拿Offer

说实话,自己的算法,我一个不会,太难了吧

程序员垃圾简历长什么样?

已经连续五年参加大厂校招、社招的技术面试工作,简历看的不下于万份 这篇文章会用实例告诉你,什么是差的程序员简历! 疫情快要结束了,各个公司也都开始春招了,作为即将红遍大江南北的新晋UP主,那当然要为小伙伴们做点事(手动狗头)。 就在公众号里公开征简历,义务帮大家看,并一一点评。《启舰:春招在即,义务帮大家看看简历吧》 一石激起千层浪,三天收到两百多封简历。 花光了两个星期的所有空闲时...

Java岗开发3年,公司临时抽查算法,离职后这几题我记一辈子

前几天我们公司做了一件蠢事,非常非常愚蠢的事情。我原以为从学校出来之后,除了找工作有测试外,不会有任何与考试有关的事儿。 但是,天有不测风云,公司技术总监、人事总监两位大佬突然降临到我们事业线,叫上我老大,给我们组织了一场别开生面的“考试”。 那是一个风和日丽的下午,我翘着二郎腿,左手端着一杯卡布奇诺,右手抓着我的罗技鼠标,滚动着轮轴,穿梭在头条热点之间。 “淡黄的长裙~蓬松的头发...

立即提问
相关内容推荐